Dynamic-CD
 : 
  Powered by FindinSite

    
ASP.NET Limitations

Windows and .NET versions

Dynamic-CD.Net for ASP.NET web sites only runs in Windows XP, Windows Vista, Windows 7 or later or equivalent. Dynamic-CD.Net displays a suitable error message if running on an incompatible version of Windows.

Dynamic-CD.Net requires the .NET Framework 2.0 or later installed. If this is not present, Dynamic-CD.Net displays a message suggesting that it is installed using Windows Update.

Technical limitations

Please see the ASP.NET support details for any technical limitations and suggestions.


ASP Limitations

The current ASP Dynamic-CD limitations are
 (See below for further details)
  • Platforms other than Windows are not supported
  • Windows 3.1 will not be supported
  • For script support, Internet Explorer 4.0 (or later) needs to have been installed
  • For database support, Windows 95, Windows 98 FE (first edition) and Windows NT4 require an extra (free) download
  • Limited support for multiple CDs
  • Dynamic-CD does not support mixed server-side script languages such as generated by older versions of Adobe GoLive. Dynamic-CD's script support is limited to VBScript. Server-side JScript is not supported. Browser-side JavaScript is not affected by Dynamic-CD.
The script and database support limitations can avoided by distributing freely-available Microsoft support software with your Dynamic-CDs.

Make sure you test your Dynamic-CDs on all expected platforms with all expected browsers.


Windows versions
Dynamic-CD runs straight "out of the box" on Windows 98 SE (second edition), Windows Me, Windows 2000, Windows XP and Windows Vista.

 Windows 95  needs the download of updated COM support in order to use the VBScript language. However, if Internet Explorer Version 4.0 has been installed, this updated COM support comes with it.
Windows 95 also needs updated database support for database access.

 Windows 98 (first edition)  needs the download of updated database support for database access.

 Windows NT 4  needs the download of updated database support for database access.


Browser versions
While Dynamic-CD has been tested to work with Netscape Navigator, VBScript support requires the prior installation of Internet Explorer Version 4.0.

However, Internet Explorer is installed by default with Windows 98 and later. Internet Explorer Version 4.0 appears to be the minimum requirement for full VBScript support.


Distributing your software on multiple CDs
Dynamic-CD does not currently provide specific support for distributing information spread over more than a single CD. Dynamic-CD currently prompts the user to reinsert the original CD if it is removed or substituted. This prompt can, however, be switched off. Consult the Dynamic-CD-Wizard documentation for further details.



 
   Home     Purchase     Licenses     Limitations     Version details     Site map     Contact     Copyright © 2000-2016 phdcc
  Dynamic-CD : the web server on CD Learn more | What's new